load 00_relaxed_model_1_multimer_v2_pred_4.pdb
coloraf 00
# MDM2 is 522 AA long
# p53 is 390 AA long


# Take a look at the binding and how good is the predicted structure (plddt score)
select AFpep, resid 15-31 and 00 and chain B
iterate AFpep and name CA, print(b)

select AFbs, resid 83-98 and 00 and chain A
iterate AFbs and name CA, print(b)

# Define Selected Model (SM) so can be colored by chains
create SM, 00
color_cbcobj SM
cmd.disable('00_relaxed_model_1_multimer_v2_pred_4')


## PDBs for MDM2

# get 2LZG and super to SM
fetch 2LZG, async=0
super 2LZG, SM and name CA
select 2LZG and name CA
sele !00
color_cbcobj sele
center 2LZG
delete sele

# get 2C6B and super to SM
fetch 2C6B, async=0
super 2C6B, SM and name CA
select 2C6B and name CA
sele !00
color_cbcobj sele
center 2C6B
delete sele

# get 2VJF 
fetch 2VJF, async=0
# Remove other chains
select 2VJF and !chain  A
remove sele
# Remove not protein
select 2VJF and not byres name CA
remove sele
# super 2VJF to SM
super 2VJF, SM and name CA
select 2VJF and name CA
sele !00
color_cbcobj sele
center 2VJF
delete sele


#PDBs for p53

# get 8F2H remove other chains and super to SM
fetch 8F2H, async=0
select 8F2H and not chain A
remove sele
super 8F2H, SM and name CA
select 8F2H and name CA
sele !00
color_cbcobj sele
center 8F2H
delete sele


#PDBs for the binding
fetch 3EQS, async=0
select 3EQS and not byres name CA
remove sele
super 3EQS, SM and name CA
select 3EQS and name CA
select 3EQS and name CA and chain A
select 3EQS and name CA and chain B
center 3EQS
select not 00
color_cbcobj sele
delete sele

# Super 8F2H to the binding
create 8F2Hcp, 8F2H
color yelloworange, 8F2Hcp
select 8F2H_pep, resid 15-31 and 8F2Hcp 
super 8F2H_pep, AFpep and name CA
center 8F2H_pep





